
Figure - Bug #118280
【IOVDEV-30868】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏在与蓝牙耳机连接播放QQ音
乐时，偶现副屏蓝牙自动关闭
2023-05-26 18:05 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230526 16：19

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致，蓝牙耳机设备已连接

【操作步骤】

1.副屏与蓝牙耳机连接中，正常播放QQ音乐

【实际结果】

1.副屏突然自动关闭蓝牙，停止播放音乐

【期望结果】

1.蓝牙不会自动关闭，音乐一直正常播放

【备注】：

偶现问题 第一次遇到

第162次开机

蓝牙设备型号：安卓蓝牙耳机设备

日志、视频地址：https://ofs.human-horizons.com/#/download/index/WW33vmdhRYE%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-26 18:15 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118280/16.19%20.7z

#2 - 2023-05-30 17:33 - 短距组_SSRDCNJ 蒋俊杰

05-26 16:19:02 Disabled  due to APPLICATION_REQUEST by com.android.systemui
https://ofs.human-horizons.com/#/download/index/WW33vmdhRYE%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118280/16.19%20.7z


05-26 16:19:02.487  1000  1526 20452 D BluetoothManagerService: disable(com.android.systemui): mBluetooth = android.bluetooth.IBluetooth$Stub$Proxy@f7234f9

mBinding = false

【结论】：日志显示是systemui关闭了蓝牙，非蓝牙端问题，

【下一步计划】：需要测试确认是否误触，或systemui分析为何触发关闭。

#3 - 2023-05-31 09:45 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

Hi,

如上一条Comment分析，Bluetooth失败SystemUI关闭，分析是碰到了关闭Bluetooth界面．非Bug

BluetoothManagerService: disable(com.android.systemui)

请确认，谢谢！

#4 - 2023-05-31 21:26 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD LC 陶洪普

客户反馈：当时没有碰到副屏蓝牙设置，是正常连接蓝牙耳机情况，副屏没有触碰

#5 - 2023-06-05 16:11 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CD FW 曹覃刚

Hi

在comment #2中分析

05-26 16:19:02 Disabled due to APPLICATION_REQUEST by com.android.systemui

05-26 16:19:02.487 1000 1526 20452 D BluetoothManagerService: disable(com.android.systemui): mBluetooth = android.bluetooth.IBluetooth$Stub$Proxy@f7234f9

mBinding = false

从日志看在 16:19分, 蓝牙被systemUI关闭了( disable(com.android.systemui)), 但是客户反馈他们没有操作屏幕.

请帮忙从systemUi看一下,是否有其他异常点? systemUI的操作除了用户触发还有可能其他方式会触发吗?

谢谢!

#6 - 2023-06-05 16:44 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成
Hi 王成

日志显示，是人为点击关闭了蓝牙，请再次与客户确认勒，谢谢

-------------

000162_manual_00004_230526_161837.log:1649: 05-26 16:19:02.387  1849  1849 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{7930cf4 V.E...... .......D 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id0=0, x0=1531.0, y0=579.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=3316353, downTime=3316353, deviceId=3, source=0x5002, displayId=0, eventId=233233187 }

000162_manual_00004_230526_161837.log:1662: 05-26 16:19:02.458  1849  1849 D ViewTouchDebug: mView :

com.android.systemui.statusbar.phone.NotificationShadeWindowView{7930cf4 V.E...... ........ 0,0-2560,1080}Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id0=0, x0=1531.0, y0=579.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0,

pointerCount=1, historySize=0, eventTime=3316427, downTime=3316353, deviceId=3, source=0x5002, displayId=0, eventId=1061422438 }

//x0=1531.0, y0=579.0, 点击了控制中心，看坐标，就是蓝牙组件的位置

000162_manual_00004_230526_161837.log:1665: 05-26 16:19:02.487  1526 20452 D BluetoothManagerService: disable(com.android.systemui): mBluetooth =

android.bluetooth.IBluetooth$Stub$Proxy@f7234f9 mBinding = false

Found 5 matches for "05-26 16:19:02.487|systemui".

//蓝牙关闭

--------------

#7 - 2023-06-17 19:10 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#8 - 2023-06-17 19:10 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-25 16:34 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
